Closed Bug 1196185 Opened 4 years ago Closed 4 years ago

[Textselection]Paste utility bubble will not show up after dragging the caret.

Categories

(Firefox OS Graveyard :: Gaia::System, defect)

ARM
Gonk (Firefox OS)
defect
Not set

Tracking

(b2g-v2.2 unaffected, b2g-master verified)

VERIFIED FIXED
FxOS-S8 (02Oct)
Tracking Status
b2g-v2.2 --- unaffected
b2g-master --- verified

People

(Reporter: yue.xia, Assigned: TYLin)

References

(Blocks 1 open bug)

Details

(Keywords: regression, Whiteboard: [2.5-aries-test-run-1][2.5-aries-test-run-2])

Attachments

(4 files)

Attached video AriesKK2.5_video.3gp
[1.Description]:
[Aries KK v2.5][Flame KK v2.5][Textselection]New a message and input some characters, after copying the characters, drag the caret, but paste utility bubble will not show up again.
See attachment:  logcat_AriesKK2.5_1242.txt & AriesKK2.5_video.3gp
Found time: 12:42

[2.Testing Steps]: 
1. Launch the message app.
2. Tap the pencil icon to edit a new message.
3. Input some characters. ex: "12345 abcde"
4. Long press on any character of 12345.
5. Tap Copy icon.
6. Tap the end of " abcde" within 15 seconds.
** Paste utility bubble shows up
7. Drag the caret to the beginning.
8. Drag the caret to the end again.


[3.Expected Result]: 
Step 7 & Step 8:  Paste utility bubble hides when dragging, after dragging, the paste utility bubble could show up successfully.

[4.Actual Result]: 
Step 7 & Step 8:  Paste utility bubble hides when dragging, but after dragging, the paste utility bubble can't not show up.

[5.Reproduction build]: 
Device: Aries KK 2.5(Affected)
Build ID               20150728035120
Gaia Revision          14e32276025b0310d3e89027320cf4b2a24cedfb
Gaia Date              2015-07-27 16:43:18
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/33dc8a83cfc0
Gecko Version          42.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150728.033538
Firmware Date          Tue Jul 28 03:35:46 UTC 2015
Bootloader             s1

Device: Flame KK 2.2 (Unaffected) 
Build ID               20150818032504
Gaia Revision          335cd8e79c20f8d8e93a6efc9b97cc0ec17b5a46
Gaia Date              2015-08-14 19:06:41
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/c29970d16372
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150818.065127
Firmware Date          Tue Aug 18 06:51:38 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device: Flame KK 2.5 (Affected)
Build ID               20150818150207
Gaia Revision          507ba38fb64b27f87d11f4104dfcc58448e12b1a
Gaia Date              2015-08-18 10:50:12
Gecko Revision         https://hg.mozilla.org/mozilla-

central/rev/2c272af993c23e803f6ea7798a812b0c8abfad4d
Gecko Version          43.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150818.184156
Firmware Date          Tue Aug 18 18:42:07 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
15245
Keywords: regression
UI overlapping. Request for UI enhancement.
Hi Fred, 
This behavior is different from v2.2.
Can you help to dispatch to right owner?
Flags: needinfo?(gasolin)
ni tingyu to dispatch the issue
Flags: needinfo?(gasolin) → needinfo?(tlin)
Whiteboard: [2.5-aries-test-run-1] → [2.5-aries-test-run-1][2.5-aries-test-run-2]
Thanks for reporting this bug.
Assignee: nobody → tlin
Status: NEW → ASSIGNED
Flags: needinfo?(tlin)
Attached file Gaia PR #31996
Attachment #8664736 - Flags: review?(timdream)
Component: Gaia::Keyboard → Gaia::System
Attachment #8664736 - Flags: feedback?(mtseng)
Attachment #8664736 - Flags: review?(timdream) → review+
Attachment #8664736 - Flags: feedback?(mtseng) → feedback+
Keywords: checkin-needed
https://github.com/mozilla-b2g/gaia/commit/7898eb86ad393e865f73c9a1144bf49874346883
Status: ASSIGNED → RESOLVED
Closed: 4 years ago
Keywords: checkin-needed
Resolution: --- → FIXED
Target Milestone: --- → FxOS-S8 (02Oct)
This bug has been verified as "pass" on the latest build of Flame KK v2.5 and Arise KK v2.5 by the STR in comment 0.

Actual results: Dragging the caret to the beginning or ending, paste utility bubble hides, after dragging, the paste utility bubble shows up successfully.

See attachment: Verified_AriseKK_v2.5_key.3gp

Reproduce rate: 0/10

Device: Arise KK 2.5 (Pass)
Build ID               20150927001555
Gaia Revision          285486b417f1cb8316b19c0698a6655fc053fbd6
Gaia Date              2015-09-25 14:11:30
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/6256ec9113c115141aab089c45ee69438884b680
Gecko Version          44.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150926.233607
Firmware Date          Sat Sep 26 23:36:15 UTC 2015
Bootloader             s1

Device: Flame KK 2.5 (Pass)
Build ID               20150927150205
Gaia Revision          285486b417f1cb8316b19c0698a6655fc053fbd6
Gaia Date              2015-09-25 14:11:30
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/6256ec9113c115141aab089c45ee69438884b680
Gecko Version          44.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150927.184956
Firmware Date          Sun Sep 27 18:50:08 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0
Status: RESOLVED → VERIFIED
QA Whiteboard: [MGSEI-Triage+]
You need to log in before you can comment on or make changes to this bug.